Birthday Widget

Thrive Birthday Widget allows to add a list of users who will be having their birthdays this year, this month or this week. It’s easy to use and no hassle just add it in a sidebar and the widget will handle the rest for you.

To setup Thrive Birthday Widget, please follow the steps below:

  • Ensure that BuddyPress plug-in is installed and activated.
  • Go to Administration; Inside ‘Users’ > ‘Profile Fields’.
  • Under Profile Fields, click the ‘Add New Field’ button.

  • Under Add New Field, type in ‘Date of Birth’ in the ‘Name’ text box and put its ‘Field Group Description’ e.g ‘Users birthday information.’.
  • Scroll down a little on the ‘Type’ section and select the ‘Date Selector’. See screenshot below:

  • Then click ‘Save’.

To add a birth of date information, please follow the steps below:

  • Go to Administration ‘Users’.
  • Under ‘Users’ choose a user and click ‘Extended’. See screenshot below:

  • Under ‘Extended Profile’ tab select the date of birth of user in the ‘Date of Birth’ section.

  • Then click ‘Update Profile.’

To add the birthday widget, please follow the steps below:

  • Go to Administration ‘Appearance’>’Widget’.
  • Scroll down to the bottom and click Thrive: Birthday Widget and choose which sidebar you want to add the widget. See screenshot below:

  • Then under the ‘Thrive Birthday Widget’ select the sets of birthday you want to show on your site. See screenshot below:

  • Then click save.

You will now have a widget that looks like this on your site that shows members with birthday. See screenshot below:

4 4 Comments

  1. What if the Profile Field is not name Date of birth, but instead localised in another language?

    1. That is an interesting scenario. I’ll go check with my team to verify the result once the string is translated. Thanks!

  2. i have done the same method for birthday widget but no record found message is shown on the front end also on profiles page Call to undefined function bp_is_user_forums is shown

  3. Hey, Zubair

    You need to update to latest version of the theme to support BuddyPress 3.0. If you are using Thrive Legacy, you need to update to version 2.4

Leave a Reply

Your email address will not be published. Required fields are marked *